# 
# $Id$
# 
# [ Description ]
# 
# Makefile
# 
# DIR_MORPHEO must be defined

ifndef Behavioural
include 			$(DIR_MORPHEO)/Behavioural/Makefile.deps
endif

Shifter				= yes

#-----[ Library ]------------------------------------------
Shifter_LIBRARY			= 	-lShifter	\
					$(Behavioural_LIBRARY)	

Shifter_DIR_LIBRARY		=	-L$(DIR_MORPHEO)/Behavioural/Generic/Shifter/lib	\
					$(Behavioural_DIR_LIBRARY)

#-----[ Rules ]--------------------------------------------

Shifter_library		: 
				@$(MAKE) Behavioural_library
				@$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Generic/Shifter --makefile=Makefile 
	
Shifter_library_clean	: 
				@$(MAKE) Behavioural_library_clean
				@$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Generic/Shifter --makefile=Makefile clean
